Package org.codehaus.groovy.reflection.stdclasses

# Class ByteCachedClass

java.lang.Object
org.codehaus.groovy.reflection.CachedClass
org.codehaus.groovy.reflection.stdclasses.NumberCachedClass
org.codehaus.groovy.reflection.stdclasses.ByteCachedClass

    public class ByteCachedClass
    extends NumberCachedClass

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass

  `CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.reflection.CachedClass

  `classInfo, EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ByteCachedClass​(java.lang.Class klazz, ClassInfo classInfo, boolean allowNull)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object` | `coerceArgument​(java.lang.Object argument)` |
  `boolean` | `isAssignableFrom​(java.lang.Class classToTransformFrom)` |
  `boolean` | `isDirectlyAssignable​(java.lang.Object argument)` |

  ### Methods inherited from class org.codehaus.groovy.reflection.CachedClass

  `addNewMopMethods, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ByteCachedClass

    public ByteCachedClass​(java.lang.Class klazz, ClassInfo classInfo, boolean allowNull)

- ## Method Details

  - ### coerceArgument

    public java.lang.Object coerceArgument​(java.lang.Object argument)
    Overrides:
      `coerceArgument` in class `NumberCachedClass`

  - ### isDirectlyAssignable

    public boolean isDirectlyAssignable​(java.lang.Object argument)
    Overrides:
      `isDirectlyAssignable` in class `CachedClass`

  - ### isAssignableFrom

    public boolean isAssignableFrom​(java.lang.Class classToTransformFrom)
    Overrides:
      `isAssignableFrom` in class `NumberCachedClass`